%NLEVP_EXAMPLE  Run POLYEIG on PEP problems from NLEVP.

probs = nlevp('query','pep');
fprintf('             Problem   Dim  Max and min magnitude of eigenvalues\n')
fprintf('             -------   ---  ------------------------------------\n')
nprobs = length(probs);
m = ceil(nprobs/4);
j = 1;
for i=1:nprobs
   coeffs = nlevp(probs{i});
   n = length(coeffs{1});
   if n < 500
      % POLYEIG will convert sparse input matrices to full.
      e = polyeig(coeffs{:});
      fprintf('%20s   %3.0f  %9.2e, %9.2e\n', ...
               probs{i}, n, max(abs(e)), min(abs(e)))
      subplot(m,4,j)
      plot(e,'.')
      title(probs{i},'Interpreter','none')
      j = j+1;
   else
      fprintf('%20s   %3.0f is a PEP but is too large for this test.\n', ...
               probs{i}, n)
   end
end
